<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'dvnotcre';
  	var  $n_reg = '0';
	var  $tip_not = '0';
	var  $fec_not = '0';
	var  $num_not = '0';
	var  $tip_mto = '0';
	var  $codigo = '0';
	var  $por_des = '0';
	var  $cve_iva = '0';
	var  $sub_not = '0';
	var  $iva_not = '0';
	var  $tot_not = '0';
	var  $cancel = '0';
	var  $fec_can = '0';
	var  $usu_can = '0';
	var  $num_pol = '0';
	var  $paso = '0';
	var  $imp_des = '0';
	var  $des_not = '0';
	var  $actuali = '0';
	var  $fec_mov = '0';
	var  $iva_des = '0';
	var  $mto_not = '0';
	var  $num_noa = '0';
	var  $ref_clt = '0';
	var  $fec_doc = '0';
	var  $num_doc = '0';
	var  $cve_mto = '0';
	var  $gen_pol = '0';
	var  $afe_con = '0';
	var  $tip_mon = '0';
	var  $cve_mon = '0';
	var  $tip_cam = '0';
	var  $cve_pais = '0';
	
	//Funcion de Revisar
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE codigo = '$this->codigo' and num_noa = '$this->num_noa'";
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
	//Funcion de Agregar
	function agregar(){
		$sql2 = "insert into $this->nom_tabla (tip_not, fec_not, num_not, tip_mto, codigo, por_des, cve_iva, sub_not, iva_not, tot_not, cancel, fec_can, usu_can, num_pol, paso, imp_des, des_not, actuali, fec_mov, iva_des, mto_not, num_noa, ref_clt, fec_doc, num_doc, cve_mto, gen_pol, afe_con, tip_mon, cve_mon, tip_cam, cve_pais, acc_fec, acc_hor, usuario, cli_pro) values ('$this->tip_not', '$this->fec_not', '$this->num_not', '$this->tip_mto', '$this->codigo','$this->por_des', '$this->cve_iva', '$this->sub_not', '$this->iva_not','$this->tot_not', '$this->cancel', '$this->fec_can', '$this->usu_can','$this->num_pol', '$this->paso', '$this->imp_des', '$this->des_not','$this->actuali', '$this->fec_mov', '$this->iva_des', '$this->mto_not','$this->num_noa', '$this->ref_clt', '$this->fec_doc', '$this->num_doc','$this->cve_mto', '$this->gen_pol', '$this->afe_con','$this->tip_mon','$this->cve_mon' ,'$this->tip_cam' ,'$this->cve_pais', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."','$this->cli_pro')";
	   	$resulty = mysqli_query($GLOBALS['con'] ,$sql2);
		if ($resulty){
			return $resulty;
		}else{	
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "error";  
		}
	}
	
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($n_reg){
		$sql = "UPDATE $this->nom_tabla SET cve_cencos = '$this->cve_cencos', des_cencos = '$this->des_cencos', cta_con = '$this->cta_con', afe_cen = '$this->afe_cen' WHERE n_reg='$n_reg'"; 
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>